'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports['default'] = function (context) {
  var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  var words = options.words || [];

  var Syntax = context.Syntax;
  var getSource = context.getSource;
  var report = context.report;
  var RuleError = context.RuleError;

  return _defineProperty({}, Syntax.Document, function (node) {
    return new Promise(function (resolve, reject) {
      var text = getSource(node);

      words.forEach(function (word) {
        if (text.indexOf(word) !== -1) {
          report(node, new RuleError('Document contains NG word "' + word + '".'));
        }
      });

      resolve();
    });
  });
};

module.exports = exports['default'];
//# sourceMappingURL=ng-word.js.map